#include "main.h"

BOOL WINAPI DLLEntryPoint(HINSTANCE hDll,DWORD dwReason,LPVOID Reserved)
{
switch (dwReason)
            {
               case  DLL_PROCESS_ATTACH :
                      break ; 
               case  DLL_PROCESS_DETACH :  
                      break ;
            }
            return  TRUE ;

}

BOOL INIT(LPCSTR LDUPATH)
{
return TRUE;
}

VOID PORT(unsigned short *Pin,HDC hdc,int *Ex)
{
//Pin Size: 336 * 240;
//Note: Use Pin to check the screen and draw on hdc.
//////////////////////////////////
//TD Add Checking Code here;

/****************************************/
/*      Sample of force feedback        */
/****************************************/
//This sample show you how to start a force when press "B" key;

if(Ex[6] ==2)
{
Ex[8] =10000;
Ex[9] =10000;
}


//////////////////////////////////
return;
}

VOID CLOSE()
{
}

long EDITION()
{
return 20041212;
}

